libzypp: ztui::out::TableFormater Class Reference

libzypp 17.36.6

Public Types | Public Member Functions | Related Symbols | List of all members
ztui::out::TableFormater Class Reference

Special list formater writing a Table [asTableHeader|asTableRow]. More...

`#include <zypp-tui/output/Out.h>`

Inheritance diagram for ztui::out::TableFormater:

## Public Types
using | NormalLayout = DefaultTableLayout

## Public Member Functions
TableHeader | header () const
template<class Tp>
TableRow | row (const Tp &val_r) const
Public Member Functions inherited from ztui::out::XmlFormater
template<class Tp>
std::string | xmlListElement (const Tp &val_r) const

## Related Symbols
(Note that these are not member symbols.)
template<class Tp = void>
TableHeader | asTableHeader ()
| NORMAL representation of types as TableHeader [no default].
template<class Tp>
TableRow | asTableRow (const Tp &val_r)
| NORMAL representation of types as TableRow [no default].
Related Symbols inherited from ztui::out::XmlFormater
template<class Tp>
std::string | asXmlListElement (const Tp &val_r)
| XML representation of types [no default].

## Detailed Description

Special list formater writing a Table [asTableHeader|asTableRow].

Definition at line 179 of file Out.h.

## Member Typedef Documentation

## ◆ NormalLayout

using ztui::out::TableFormater::NormalLayout = DefaultTableLayout

Definition at line 181 of file Out.h.

## Member Function Documentation

## ◆ header()

TableHeader ztui::out::TableFormater::header | ( |  | ) | const
| inline

Definition at line 183 of file Out.h.

## ◆ row()

template<class Tp>

TableRow ztui::out::TableFormater::row | ( | const Tp & | val_r | ) | const
| inline

Definition at line 187 of file Out.h.

## Friends And Related Symbol Documentation

## ◆ asTableHeader()

template<class Tp = void>

TableHeader asTableHeader | ( |  | ) |
| related

NORMAL representation of types as TableHeader [no default].

## ◆ asTableRow()

template<class Tp>

TableRow asTableRow | ( | const Tp & | val_r | ) |
| related

NORMAL representation of types as TableRow [no default].

The documentation for this class was generated from the following file:

- zypp-tui/output/Out.h